Subject: Re: netif_rx packet dumping

From: Jason Lunz <[email-masked]>
Date: Fri, 4 Mar 2005 19:49:33 +0000 (UTC)

[email-masked] said:
>> We should eliminate the max backlog thing completely.  There is
>> no need for it.
>
> Still need some bound, because if process_backlog is running slower
> than the net; then the queue could grow till memory exhausted from
> skbuff's. 

yes. I eliminated netdev_max_backlog long ago in an experiment with a
2.4 kernel, and it became quite easy to consume huge amounts of kernel
memory.

Jason